## nethack 3.6.0

=== debian/changelog ===
nethack (3.6.0-4) unstable; urgency=medium

  [ Mo Jun ]
  * Fix permanently identify bug on arm* ports. (Closes: #828625)

  [ James Cowgill ]
  * Bump standards to 3.9.8 (no changes).

 -- James Cowgill <jcowgill@debian.org>  Sun, 26 Jun 2016 15:27:02 +0100

nethack (3.6.0-3) unstable; urgency=medium

  * Avoid crash when using long lines in nethackrc. (Closes: #819337)

 -- James Cowgill <jcowgill@debian.org>  Fri, 01 Apr 2016 23:50:19 +0100

nethack (3.6.0-2) unstable; urgency=medium

  [ James Cowgill ]
  * Remove more remnants of the curses interface from d/rules.
  * Remove obsolete $(EXTRA_$1) argument from d/rules.
  * Install symbols data file. (Closes: #817972)
  * Add semicolon to the end of lists in the desktop files to fix validation
    errors.
  * Add StartupWMClass to nethack-x11.desktop to fix grouping in some DEs.

  [ Reiner Herrmann ]
  * Add patch to enable reproducible building. (Closes: #818128)
  * Manually build makedefs before the rest of the game to avoid a race
    confition in the build system.

  [ Mo Jun ]
  * Fix abnormal behavior in the HP monitor patch. (Closes: #818051)

 -- James Cowgill <jcowgill@debian.org>  Mon, 21 Mar 2016 14:51:35 +0000

nethack (3.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #807752, LP: #1529498).
  * Dropped enhancement patches which are difficult to port to 3.6.
    - Drop curses ui patch.
    - Drop enhanced dump patch.
    - Drop engulfed trouble patch.
  * Converted packaging to dh.
  * Ship default sysconf file in /etc/nethack/sysconf.
  * Replace menu files and the xpm icon with desktop files and a png.

  * debian/*.dirs:
    - Remove directories which will be created by dh_install automatically.
  * debian/README.patches:
    - Drop file. No major enhancement patches remain.
  * debian/control:
    - Add myself to the list of uploaders.
    - Bump standards to 3.9.7 (no changes).
    - Switch to git Vcs URLs.
  * debian/copyright:
    - Add myself to the copyright holders list.
  * debian/nethack-common.postinst:
    - Convert tabs to spaces for consistency.
    - Simplify 'recover' script handling.
    - Remove init script handling for pre-wheezy systems.
    - Create /var/games/nethack/xlogfile file.
  * debian/nethack-lisp.copyright:
    - Drop and use main copyright file instead.
  * debian/patches:
    - Refresh patches for 3.6.0.
    - Ensure correct path to x11tiles is compiled in via patch 0008.
    - Drop obsolete patches
      - 0003 _GNU_SOURCE define - _GNU_SOURCE is now defined in config1.h
      - 0011 menucolors - applied upstream
      - 0012 paranoid hit - obsolete, equivalent is in 3.6.0
      - 0014 sortloop - applied upstream
      - 0016 fix format-security errors - fixed upstream
    - Update kFreeBSD FTBFS patch.
      - Move time.h includes to unixconf.h
      - Do not redefine memcpy on BSD systems.
    - Add 0023-gcc-warning-fixes.patch to inhibit many pointer warnings when
      building on 64-bit systems.
    - Basic porting of the LISP patch to 3.6.0 (not well tested).
  * debian/rules:
    - Remove duplicate build options which have no effect.
    - Pass NOTPARMDECL option to disable tparm forward declaration. Fixes a
      FTBFS on kFreeBSD.
    - Do not pass '1' to setup.sh.
    - Drop call to 'dpkg-buildflags --status'.
    - Simplify build process of common files.
    - Remove obsolete 'start' call to update-rc.d.
    - Use gzip -n when creating nh10.pcf.gz to fix
      package-contains-timestamped-gzip lintian warning.
  * debian/x11/NetHack:
    - Update X11 app-defaults for 3.6.0 (new shipped graphics and upstream
      defaults).
  * debian/x11/nethackrc.x11:
    - Remove obsolete OBJECTS, DUNGEON, TRAPS and EFFECTS options.

 -- James Cowgill <jcowgill@debian.org>  Fri, 11 Mar 2016 01:51:28 +0000

nethack (3.4.3-15) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Josh Triplett ]
  * Add native systemd support. (Closes: #741126)
    - Factor out the recovery logic from the nethack-common init script into a
      new script /usr/lib/games/nethack/recover-all.
    - Add a nethack-common.service invoking recover-all.  This service uses
      ConditionPathExistsGlob to only launch when files exist to recover,
      avoiding any extra processes at startup in the common case.
    - Build-Depends: debhelper (>= 9.20130504) for systemd support in
      dh_installinit.

  [ Vincent Cheng ]
  * Build nethack with curses interface. Thanks to Ivan Krylov for the patch!
    (Closes: #705029)
  * Do not remove alternatives on upgrades.
    (https://lists.debian.org/debian-devel/2012/09/msg00575.html)
  * Update to Standards version 3.9.5.
  * Update email address.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 11 May 2014 23:27:25 -0700

=== debian/control ===
Source: nethack
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Vincent Cheng <vcheng@debian.org>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 bison,
 bsdmainutils,
 debhelper (>= 9.20130504),
 flex,
 groff-base,
 libncurses5-dev | libncurses-dev,
 libx11-dev,
 libxaw7-dev | libxaw-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 po-debconf,
 xfonts-utils
Standards-Version: 3.9.8
Homepage: http://www.nethack.org
Vcs-Git: https://anonscm.debian.org/git/pkg-games/nethack.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/nethack.git/

Package: nethack-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: nethack-console | nethack-x11 | nethack-lisp
Description: dungeon crawl game - common files
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 The various graphical front-ends for NetHack all share a large
 number of files in common.  This package contains the graphics,
 dungeon levels, and utilities common to all NetHack front-ends.
 .
 It also provides a few utilities such as recover, for retrieving
 auto-save files in case of a power failure, and dgn_comp and
 lev_comp, two utilities for making your own NetHack levels and
 dungeons. The "recover" utility will be run every time the system
 boots, if there are any auto-save files available.

Package: nethack-console
Depends:
 nethack-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Provides: nethack
Description: dungeon crawl game - text-based interface
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 This package provides the plain console version of NetHack.

Package: nethack-lisp
Depends:
 nethack-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: nethack-el
Architecture: any
Provides: nethack
Description: dungeon crawl game - Lisp interface
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 This package provides the version required for playing NetHack via
 Lisp, for instance under Emacs (which requires nethack-el).

Package: nethack-x11
Depends:
 nethack-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Provides: nethack
Description: dungeon crawl game - X11 interface
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 This package provides the text and X11/Athena-based graphical versions
 of NetHack.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
DEB_CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
DEB_CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
DEB_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

# upstream Makefile only has CFLAGS (missing CPPFLAGS)
# and does not give CFLAGS to linking calls, so add them.
# also needs some stuff so the Makefile can be overriden:
CFLAGS = $(DEB_CPPFLAGS) $(DEB_CFLAGS) -I../include -Wall -DGCC_WARN -DNOTPARMDECL
LFLAGS = $(DEB_CFLAGS) $(DEB_LDFLAGS)

override_dh_auto_build: Makefile
	+$(call build_target,console)
	+$(call build_target,x11)
	+$(call build_target,lisp)
	touch src/nethack-dummy ; sleep 2
	$(MAKE) -j1 LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS) -DUSE_XPM' \
	  GAME=src/nethack-dummy \
	  VARDATND="x11tiles NetHack.ad pet_mark.xbm pilemark.xbm rip.xpm mapbg.xpm" \
	  all
	/usr/bin/bdftopcf win/X11/nh10.bdf | gzip -9fn > debian/nh10.pcf.gz

TARGETS = console lisp x11

define build_target
	$(MAKE) clean
	touch include/config.h
	sleep 2
	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS)' LINK='$$(CC)' -C util makedefs
	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS) $(EXTRACPP_$1)' \
		WINSRC='$(SRC_$1)' WINOBJ='$(OBJ_$1)' WINLIB='$(LIB_$1)' \
		LINK='$$(CC)' GAME='nethack-$1' -C src 'nethack-$1'
endef
SRC_console = $$(WINTTYSRC)
OBJ_console = $$(WINTTYOBJ)
LIB_console = -lcurses
EXTRACPP_console =
SRC_x11 = $$(WINTTYSRC) $$(WINX11SRC)
OBJ_x11 = $$(WINTTYOBJ) $$(WINX11OBJ)
LIB_x11 = -lncurses -lXaw -Wl,--as-needed -lXmu -lXext -Wl,--no-as-needed -lXt -lXpm -lX11 -Wl,--as-needed -lm -Wl,--no-as-needed
EXTRACPP_x11 = -DX11_GRAPHICS
SRC_lisp = $$(WINLISPSRC)
OBJ_lisp = $$(WINLISPOBJ)
LIB_lisp = $$(WINLISPLIB)
EXTRACPP_lisp = -DLISP_GRAPHICS -DDEFAULT_WINDOW_SYS=\"lisp\"


Makefile:
# setup.sh creates all the Makefiles.
	sh sys/unix/setup.sh

override_dh_auto_install:

override_dh_auto_clean:
	rm -f debian/nh10.pcf.gz
	rm -f $(patsubst %,src/nethack-%,$(TARGETS) dummy)
	if [ -f Makefile ] ; then $(MAKE) spotless ; fi
	find . -name Makefile -print0 | xargs -r -0 --no-run-if-empty rm

override_dh_installinit:
	dh_installinit --no-start

override_dh_fixperms:
	dh_fixperms
	chgrp games debian/nethack-common/usr/lib/games/nethack/recover
	chgrp -R games debian/nethack-common/var/games/nethack
	chmod -R 2775 debian/nethack-common/var/games/nethack
	for flavor in $(TARGETS); do \
		chgrp games debian/nethack-$$flavor/usr/lib/games/nethack/nethack-$$flavor; \
		chmod 2755 debian/nethack-$$flavor/usr/lib/games/nethack/nethack-$$flavor; \
	done

%:
	dh $@

## nethack 3.6.1

=== debian/changelog ===
nethack (3.6.1-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (Closes: #900318)

  * d/changelog: Remove trailing whitespace.
  * d/clean: Clean dat/gitinfo.txt.
  * d/copyright:
    - Update and list all copyright holders.
    - "Relicense" debian directory under the NGPL. (Closes: #908784)
  * d/compat: Use debhelper 11.
  * d/control:
    - Switch Vcs URLs to salsa.debian.org.
    - Bump standards to 4.2.1.
    - Use secure Homepage URL.
  * d/*.desktop: Add Comment fields to desktop files.
  * d/patches:
    - Refresh patches.
    - Drop u1-avoid-crash-for-long-lines-in-nethackrc.patch - applied upstream.
    - Drop 0005-Simple-mail.patch - no longer applies.
    - Drop 0010-Enables-color-HP-monitor-for-textmode-NetHack - obsolete.
    - Drop 0019-stay-in-array-bounds.patch - fixed upstream.
    - Drop 0023-gcc-warning-fixes.patch - alternative applied upstream.
    - Drop 0025-reproducible-build.patch and enable upstream reproducibility.
    - Add upstream patch to fix sys/unix/setup.sh behavior.
    - Disable SIMPLE_MAIL which now has a slightly different meaning.
    - Fix undefined reference to "terminate" in lisp patch.
    - Fix spelling mistake in 0026-fix-permanently-identify.
  * d/rules:
    - Enable verbose build.
    - Add set -e to for loop.
  * nethackrc: disable hpmon now that the patch has been dropped.

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root.

 -- James Cowgill <jcowgill@debian.org>  Sun, 16 Sep 2018 17:35:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  bison,
  bsdmainutils,
- debhelper (>= 9.20130504),
+ debhelper (>= 11),
  flex,
  groff-base,
  libncurses5-dev | libncurses-dev,
@@ -19,10 +19,11 @@
  libxt-dev,
  po-debconf,
  xfonts-utils
-Standards-Version: 3.9.8
-Homepage: http://www.nethack.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/nethack.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/nethack.git/
+Standards-Version: 4.2.1
+Homepage: https://www.nethack.org
+Vcs-Git: https://salsa.debian.org/games-team/nethack.git
+Vcs-Browser: https://salsa.debian.org/games-team/nethack
+Rules-Requires-Root: binary-targets
 
 Package: nethack-common
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export VERBOSEMAKE = 1
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -69,7 +71,7 @@
 	chgrp games debian/nethack-common/usr/lib/games/nethack/recover
 	chgrp -R games debian/nethack-common/var/games/nethack
 	chmod -R 2775 debian/nethack-common/var/games/nethack
-	for flavor in $(TARGETS); do \
+	set -e; for flavor in $(TARGETS); do \
 		chgrp games debian/nethack-$$flavor/usr/lib/games/nethack/nethack-$$flavor; \
 		chmod 2755 debian/nethack-$$flavor/usr/lib/games/nethack/nethack-$$flavor; \
 	done

## nethack 3.6.6

=== debian/changelog ===
nethack (3.6.6-2build1) hirsute; urgency=medium

  * No change rebuild fixed ownership on ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Feb 2021 14:00:45 +0000

nethack (3.6.6-2) unstable; urgency=medium

  * Team upload.
  * Re-enable the Qt interface, which now supports Qt5. (Closes: #770749)
  * Drop nethack-lisp which is broken and unmaintained. (Closes: #961932)
  * Enable support for curses windowtype in nethack-console.
  * Enable hitpointbar in nethack-console.
  * Enable all hardening options.
  * Bump Standards-Version to 4.5.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 09 Jan 2021 16:34:33 +0100

nethack (3.6.6-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Update watch file.
    The sourceforge page seem to be no longer kept up-to-date.
    Use the official site instead, but mangle the page a bit,
    to point to the correct tarball location.

  [ Markus Koschany ]
  * New upstream version 3.6.6.
    - Fixes CVE-2020-5254, CVE-2020-5214, CVE-2020-5213, CVE-2020-5212,
      CVE-2020-5211, CVE-2020-5210, CVE-2020-5209 and CVE-2019-19905.
      (Closes: #947005, #953978)
  * Fixes FTBFS with GCC 10. (Closes: #957598)
  * Switch to debhelper-compat = 13
  * Declare compliance with Debian Policy 4.5.0.
  * Drop u1-fix-H7138-sys-unix-setup.sh-fails-with-no-arguments.patch.
    Fixed upstream.
  * Rebase all patches for new version 3.6.6.
  * Remove all lisp patches. Broken and unmaintained with 3.6.6.
    Maintainers are welcome. nethack-lisp can be salvaged by fixing the errors
    on the lisp branch in Git. If they are not fixed before the bullseye
    release nethack-lisp will be removed.

 -- Markus Koschany <apo@debian.org>  Sun, 31 May 2020 18:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: nethack
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Vincent Cheng <vcheng@debian.org>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
  bison,
  bsdmainutils,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  flex,
  groff-base,
  libncurses5-dev | libncurses-dev,
@@ -17,9 +18,12 @@
  libxext-dev,
  libxmu-dev,
  libxt-dev,
+ pkg-config,
  po-debconf,
+ qtbase5-dev,
+ qtmultimedia5-dev,
  xfonts-utils
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://www.nethack.org
 Vcs-Git: https://salsa.debian.org/games-team/nethack.git
 Vcs-Browser: https://salsa.debian.org/games-team/nethack
@@ -28,7 +32,7 @@
 Package: nethack-common
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: nethack-console | nethack-x11 | nethack-lisp
+Recommends: nethack-console | nethack-x11
 Description: dungeon crawl game - common files
  NetHack is a wonderfully silly, yet quite addictive, Dungeons &
  Dragons-style adventure game. You play a character from one of many
@@ -44,7 +48,7 @@
  at the same time:
   - nethack-console: no graphics, just plain NetHack;
   - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
+  - nethack-qt     : Qt version.
  .
  The various graphical front-ends for NetHack all share a large
  number of files in common.  This package contains the graphics,
@@ -78,37 +82,9 @@
  at the same time:
   - nethack-console: no graphics, just plain NetHack;
   - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
+  - nethack-qt     : Qt version.
  .
  This package provides the plain console version of NetHack.
-
-Package: nethack-lisp
-Depends:
- nethack-common (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests: nethack-el
-Architecture: any
-Provides: nethack
-Description: dungeon crawl game - Lisp interface
- NetHack is a wonderfully silly, yet quite addictive, Dungeons &
- Dragons-style adventure game. You play a character from one of many
- classes (such as wizard, ranger, or tourist), fighting your way down to
- retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
- god. On the way, you might encounter a quantum mechanic or two, or
- perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
- Bugblatter Beast of Traal.
- .
- You should install a front-end for NetHack if you
- wish to play the game.  Each of them includes the
- original non-graphical version, and they can all be installed
- at the same time:
-  - nethack-console: no graphics, just plain NetHack;
-  - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
- .
- This package provides the version required for playing NetHack via
- Lisp, for instance under Emacs (which requires nethack-el).
 
 Package: nethack-x11
 Depends:
@@ -132,7 +108,33 @@
  at the same time:
   - nethack-console: no graphics, just plain NetHack;
   - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
+  - nethack-qt     : Qt version.
  .
  This package provides the text and X11/Athena-based graphical versions
  of NetHack.
+
+Package: nethack-qt
+Depends:
+ nethack-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Architecture: any
+Provides: nethack
+Description: dungeon crawl game - Qt interface
+ NetHack is a wonderfully silly, yet quite addictive, Dungeons &
+ Dragons-style adventure game. You play a character from one of many
+ classes (such as wizard, ranger, or tourist), fighting your way down to
+ retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
+ god. On the way, you might encounter a quantum mechanic or two, or
+ perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
+ Bugblatter Beast of Traal.
+ .
+ You should install a front-end for NetHack if you
+ wish to play the game.  Each of them includes the
+ original non-graphical version, and they can all be installed
+ at the same time:
+  - nethack-console: no graphics, just plain NetHack;
+  - nethack-x11    : original X11/Athena-based graphical version;
+  - nethack-qt     : Qt version.
+ .
+ This package provides the Qt-based graphical versions of NetHack.

=== debian/watch ===
version=4
opts=pagemangle=s%href="/download/(\d+).(\d+).(\d+)"%href="/download/$1.$2.$3/nethack-$1$2$3-src.tgz"%g \
https://www.nethack.org/common/dnldindex.html /download/@ANY_VERSION@/nethack-[\d\.]+-src.tgz

## nethack 3.6.7

=== debian/changelog ===
nethack (3.6.7-2) unstable; urgency=medium

  [ Vincent Cheng ]
  * Address gcc 15 FTBFS by building with -std=gnu17. (Closes: #1097450)
  * Update build-dep on pkg-config => pkgconf.
  * Add upstream metadata file.
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Carles Pina i Estany ]
  * Update Catalan po-debconf translation.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 07 Sep 2025 14:15:57 -0700

nethack (3.6.7-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release.
    - Fixes buffer overflow that can crash the NetHack process
      (CVE-2023-24809). (Closes: #1031869)
    - Drop patches applied upstream.
  * Enable dumplog support, which was enabled through thirdparty patch in an
    older release (3.4.x), and is included upstream since 3.6.x, but had not
    yet been re-enabled. (Closes: #1023578)
  * Bump Standards-Version to 4.6.2.
  * Replace obsolete build dependency: libncurses5-dev => libncurses-dev.
  * Replace obsolete build dependency: bsdmainutils => bsdextrautils.

  [ Paulo Henrique de Lima Santana ]
  * Update Brazilian Portuguese debconf templates translation (Closes: #1024192)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 18 Jun 2023 17:59:30 +0200

nethack (3.6.6-3) unstable; urgency=medium

  * Team upload.
  * Import fix for FTBFS because of redefined macro. (Closes: #1017326)
  * Fix watch file.
  * Bump Standards-Version to 4.6.1.
  * Adjust lintian override to the new format.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 14 Aug 2022 16:04:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: nethack
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Vincent Cheng <vcheng@debian.org>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
  bison,
- bsdmainutils,
+ bsdextrautils,
  debhelper-compat (= 13),
  flex,
  groff-base,
- libncurses5-dev | libncurses-dev,
+ libncurses-dev,
  libx11-dev,
  libxaw7-dev | libxaw-dev,
  libxext-dev,
  libxmu-dev,
  libxt-dev,
- pkg-config,
+ pkgconf,
  po-debconf,
  qtbase5-dev,
  qtmultimedia5-dev,
  xfonts-utils
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://www.nethack.org
 Vcs-Git: https://salsa.debian.org/games-team/nethack.git
 Vcs-Browser: https://salsa.debian.org/games-team/nethack

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export VERBOSEMAKE = 1
+PKG_CONFIG ?= pkg-config
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -12,13 +14,13 @@
 # upstream Makefile only has CFLAGS (missing CPPFLAGS)
 # and does not give CFLAGS to linking calls, so add them.
 # also needs some stuff so the Makefile can be overriden:
-CFLAGS = $(DEB_CPPFLAGS) $(DEB_CFLAGS) -I../include -Wall -DGCC_WARN -DNOTPARMDECL
+CFLAGS = $(DEB_CPPFLAGS) $(DEB_CFLAGS) -I../include -Wall -DGCC_WARN -DNOTPARMDECL -std=gnu17
 LFLAGS = $(DEB_CFLAGS) $(DEB_LDFLAGS)
 
 override_dh_auto_build: Makefile
 	+$(call build_target,console)
 	+$(call build_target,x11)
-	+$(call build_target,lisp)
+	+$(call build_target,qt)
 	touch src/nethack-dummy ; sleep 2
 	$(MAKE) -j1 LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS) -DUSE_XPM' \
 	  GAME=src/nethack-dummy \
@@ -26,29 +28,33 @@
 	  all
 	/usr/bin/bdftopcf win/X11/nh10.bdf | gzip -9fn > debian/nh10.pcf.gz
 
-TARGETS = console lisp x11
+TARGETS = console x11 qt
 
 define build_target
 	$(MAKE) clean
 	touch include/config.h
 	sleep 2
-	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS)' LINK='$$(CC)' -C util makedefs
+	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS)' LINK='$(LINK_$1)' -C util makedefs
 	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS) $(EXTRACPP_$1)' \
 		WINSRC='$(SRC_$1)' WINOBJ='$(OBJ_$1)' WINLIB='$(LIB_$1)' \
-		LINK='$$(CC)' GAME='nethack-$1' -C src 'nethack-$1'
+		LINK='$(LINK_$1)' GAME='nethack-$1' -C src 'nethack-$1'
 endef
-SRC_console = $$(WINTTYSRC)
-OBJ_console = $$(WINTTYOBJ)
+SRC_console = $$(WINTTYSRC) $$(WINCURSESSRC)
+OBJ_console = $$(WINTTYOBJ) $$(WINCURSESOBJ)
 LIB_console = -lcurses
-EXTRACPP_console =
+LINK_console = $$(CC)
+EXTRACPP_console = -DCURSES_GRAPHICS
 SRC_x11 = $$(WINTTYSRC) $$(WINX11SRC)
 OBJ_x11 = $$(WINTTYOBJ) $$(WINX11OBJ)
 LIB_x11 = -lncurses -lXaw -Wl,--as-needed -lXmu -lXext -Wl,--no-as-needed -lXt -lXpm -lX11 -Wl,--as-needed -lm -Wl,--no-as-needed
+LINK_x11 = $$(CC)
 EXTRACPP_x11 = -DX11_GRAPHICS
-SRC_lisp = $$(WINLISPSRC)
-OBJ_lisp = $$(WINLISPOBJ)
-LIB_lisp = $$(WINLISPLIB)
-EXTRACPP_lisp = -DLISP_GRAPHICS -DDEFAULT_WINDOW_SYS=\"lisp\"
+export QTDIR=/usr
+SRC_qt = $$(WINQT4SRC)
+OBJ_qt = $$(WINQT4OBJ)
+LIB_qt = $$(WINQT5LIB)
+LINK_qt = $$(CXX)
+EXTRACPP_qt = -DQT_GRAPHICS -DDEFAULT_WINDOW_SYS=\"Qt\" -DNOTTYGRAPHICS $(shell $(PKG_CONFIG) Qt5Gui Qt5Widgets Qt5Multimedia --cflags) -fPIC
 
 
 Makefile:

## nethack el-0.9.1

=== Makefile ===
# path to your emacs
EMACS = emacs

.PHONY: clean patch dist

all: nethack.elc nethack-api.elc nethack-cmd.elc nethack-glyphs.elc nethack-keys.elc

%.elc: %.el
	$(EMACS) -batch --eval "(add-to-list 'load-path \".\")" \
		-f batch-byte-compile $<

clean:
	$(RM) *.elc

#
# Make a datestamped distribution in the current directory
#
# ../nethack must be your CVS version of the winlisp nethack sources
# ../nethack-$(NH_VER).tgz must exist
#

# nethack-el version
NETHACK_EL_VER=0.9.1

# nethack source version
NH_VER=3.4.2

NH_VER_NODOTS=$(shell echo $(NH_VER) | sed s/\\.//g)

PATCHFILE=enh-$(NH_VER_NODOTS).patch
DISTFILES=AUTHORS BUGS COPYING ChangeLog INSTALL Makefile README TODO		\
	$(PATCHFILE) ese-007e0.patch mkpatch nethack-api.el nethack-cmd.el nethack-example.el	\
	nethack-glyphs.el nethack-keys-dvorak.el nethack-keys.el		\
	nethack.el
DISTDIR=nethack_el-$(NETHACK_EL_VER)

PATCH_OK=.patch-ok
$(PATCH_OK): test-patch ;

dist: clean all $(PATCH_OK)
	@echo
	@echo Things look in order... building the distribution tarball.
	mkdir ./$(DISTDIR)
	cp $(DISTFILES) ./$(DISTDIR)
	tar -cf /dev/stdout ./$(DISTDIR) | gzip > ./$(DISTDIR).tar.gz
	rm -rf ./$(DISTDIR)

# Generate patch.
# Apply the generated patch from inside the nethack dir like this: 
# src/nethack-x.y.z patch -p 1 < PATH/TO/enh-xyz.patch
patch:
	@echo
	@echo Creating $(PATCHFILE)
	NH_VER=$(NH_VER) NH_VER_NODOTS=$(NH_VER_NODOTS) sh ./mkpatch > $(PATCHFILE)
	rm -f $(PATCH_OK)

# Make sure nothing obvious was missed when hacking the source and
# creating the patch
test-patch: $(PATCHFILE)
	@echo
	@echo Testing $< for sanity
	cd ..; tar -xzf nethack-$(NH_VER_NODOTS).tgz
	cd ../nethack-$(NH_VER) ; patch -fp1 < ../nethack-el/$(PATCHFILE)
	cd ../nethack-$(NH_VER)/sys/unix; sh setup.sh
	$(MAKE) -C ../nethack-$(NH_VER)
	cd ../nethack-$(NH_VER)/src; HACKDIR=. ./nethack | grep api-init
	rm -r ../nethack-$(NH_VER)
	touch $(PATCH_OK)

## nethack el-0.9.4

=== Makefile ===
# path to your emacs
EMACS = emacs

.PHONY: clean patch dist

all: nethack.elc nethack-api.elc nethack-cmd.elc nethack-tiles.elc nethack-keys.elc

%.elc: %.el
	$(EMACS) -batch --eval "(add-to-list 'load-path \".\")" \
		-f batch-byte-compile $<

clean:
	$(RM) *.elc

#
# Make a datestamped distribution in the current directory
#
# ../nethack must be your CVS version of the winlisp nethack sources
# ../nethack-$(NH_VER).tgz must exist
#

# nethack-el version
NETHACK_EL_VER=0.9.4

# nethack source version
NH_VER=3.4.3
NH_VER_NODOTS=343
SLASHEM_VER=0.0.7E7
SLASHEM_VER_NODOTS=007e7

PATCHFILE=enh-$(NH_VER_NODOTS).patch
SLASHEM_PATCHFILE=enh-$(SLASHEM_VER_NODOTS).patch

DISTFILES=AUTHORS BUGS COPYING ChangeLog INSTALL Makefile README TODO	\
	$(PATCHFILE) $(SLASHEM_PATCHFILE) mkpatch nethack-api.el	\
	nethack-cmd.el nethack-example.el				\
	nethack-tiles.el nethack-keys-dvorak.el nethack-keys.el		\
	nethack.el nethack-compat.el
DISTDIR=nethack_el-$(NETHACK_EL_VER)

PATCH_OK=.patch-ok
SLASHEM_PATCH_OK=.se-patch-ok

$(PATCH_OK): test-patch ;

$(SLASHEM_PATCH_OK): slashem-test-patch ;

dist: clean all $(PATCH_OK) $(SLASHEM_PATCH_OK)
	@echo
	@echo Things look in order... building the distribution tarball.
	mkdir ./$(DISTDIR)
	cp $(DISTFILES) ./$(DISTDIR)
	tar -cf /dev/stdout ./$(DISTDIR) | gzip > ./$(DISTDIR).tar.gz
	rm -rf ./$(DISTDIR)

# Generate patch.
# Apply the generated patch from inside the nethack dir like this: 
# src/nethack-x.y.z patch -p 1 < PATH/TO/enh-xyz.patch
patch:
	@echo
	@echo Creating $(PATCHFILE)
	sh ./mkpatch nethack-$(NH_VER_NODOTS).tgz nethack-$(NH_VER) nethack > $(PATCHFILE)
	rm -f $(PATCH_OK)

slashem-patch:
	@echo
	@echo Creating $(SLASHEM_PATCHFILE)
	sh ./mkpatch se$(SLASHEM_VER_NODOTS).tar.gz slashem-$(SLASHEM_VER) slashem > $(SLASHEM_PATCHFILE) 
	rm -f $(SLASHEM_PATCH_OK)


# Make sure nothing obvious was missed when hacking the source and
# creating the patch
test-patch: $(PATCHFILE)
	@echo
	@echo Testing $< for sanity
	cd ..; tar -xzf nethack-$(NH_VER_NODOTS).tgz
	cd ../nethack-$(NH_VER) ; patch -p1 < ../nethack-el/$(PATCHFILE)
	cd ../nethack-$(NH_VER)/sys/unix; sh setup.sh
	$(MAKE) -C ../nethack-$(NH_VER)
	cd ../nethack-$(NH_VER)/src; HACKDIR=. ./nethack | grep api-init
	rm -r ../nethack-$(NH_VER)
	touch $(PATCH_OK)

slashem-test-patch: $(SLASHEM_PATCHFILE)
	@echo
	@echo Testing $< for sanity
	cd ..; tar -xzf se$(SLASHEM_VER_NODOTS).tar.gz
	cd ../slashem-$(SLASHEM_VER) ; patch -p1 < ../nethack-el/$(SLASHEM_PATCHFILE)
	cd ../slashem-$(SLASHEM_VER)/sys/unix; sh setup.sh
	$(MAKE) -C ../slashem-$(SLASHEM_VER)
	cd ../slashem-$(SLASHEM_VER)/src; HACKDIR=. ./slashem | grep api-init
	rm -r ../slashem-$(SLASHEM_VER)
	touch $(SLASHEM_PATCH_OK)
